## AgsFileLink

AgsFileLink — link objects read of file.

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_FILE_LINK_GET_OBJ_MUTEX()
void | ags_file_link_set_filename ()
gchar * | ags_file_link_get_filename ()
void | ags_file_link_set_data ()
gchar * | ags_file_link_get_data ()
AgsFileLink * | ags_file_link_new ()

## Properties

char * | data | Read / Write
char * | filename | Read / Write

## Types and Values

#define | AGS_FILE_LINK_DEFAULT_VERSION
#define | AGS_FILE_LINK_DEFAULT_BUILD_ID

## Object Hierarchy

        GObject
        ╰── AgsFileLink

## Includes

    #include <ags/file/ags_file_link.h>

## Description

The AgsFileLink links read objects of file.

## Functions

### AGS_FILE_LINK_GET_OBJ_MUTEX()

    #define AGS_FILE_LINK_GET_OBJ_MUTEX(obj) (&(((AgsFileLink *) obj)->obj_mutex))

### ags_file_link_set_filename ()

    void
    ags_file_link_set_filename (AgsFileLink *file_link,
                                gchar *filename);

Set `filename` of `file_link` .

#### Parameters

file_link | the AgsFileLink |
filename | the filename |

Since: 3.6.17

### ags_file_link_get_filename ()

    gchar *
    ags_file_link_get_filename (AgsFileLink *file_link);

Get filename of `file_link` .

#### Parameters

file_link | the AgsFileLink |

#### Returns

the filename.

[transfer full]

Since: 3.6.17

### ags_file_link_set_data ()

    void
    ags_file_link_set_data (AgsFileLink *file_link,
                            gchar *data);

Set `data` of `file_link` .

#### Parameters

file_link | the AgsFileLink |
data | the data |

Since: 3.6.17

### ags_file_link_get_data ()

    gchar *
    ags_file_link_get_data (AgsFileLink *file_link);

Get data of `file_link` .

#### Parameters

file_link | the AgsFileLink |

#### Returns

the data.

[transfer full]

Since: 3.6.17

### ags_file_link_new ()

    AgsFileLink *
    ags_file_link_new ();

Creates an AgsFileLink

#### Returns

a new AgsFileLink

Since: 3.0.0

## Types and Values

### AGS_FILE_LINK_DEFAULT_VERSION

    #define AGS_FILE_LINK_DEFAULT_VERSION "0.7.0"

### AGS_FILE_LINK_DEFAULT_BUILD_ID

    #define AGS_FILE_LINK_DEFAULT_BUILD_ID "CEST 13-10-2015 15:53"

## Property Details

### The `“data”` property

      “data”                     char *

The data this AgsFileLink contains.

Owner: AgsFileLink

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“filename”` property

      “filename”                 char *

The filename this AgsFileLink refers.

Owner: AgsFileLink

Flags: Read / Write

Default value: NULL

Since: 3.0.0